import type { UmbDocumentRecycleBinTreeItemModel } from '../../../types.js';
import { nothing } from '../../../../../../../../external/lit/index.js';
import { UmbLitElement } from '../../../../../../../core/lit-element/index.js';
import type { UmbTableColumn, UmbTableColumnLayoutElement, UmbTableItem } from '../../../../../../../core/components/index.js';
export declare class UmbTrashedDocumentNameTableColumnElement extends UmbLitElement implements UmbTableColumnLayoutElement {
    #private;
    private _name;
    private _editPath;
    column: UmbTableColumn;
    item: UmbTableItem;
    set value(value: UmbDocumentRecycleBinTreeItemModel);
    get value(): UmbDocumentRecycleBinTreeItemModel;
    constructor();
    render(): typeof nothing | import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
declare global {
    interface HTMLElementTagNameMap {
        'umb-trashed-document-name-table-column': UmbTrashedDocumentNameTableColumnElement;
    }
}
